# pymatgen.analysis.chemenv.connectivity.environment_nodes module

Environment nodes module.

class AbstractEnvironmentNode(central_site, i_central_site)

  Bases: `monty.json.MSONable`

  Abstract class used to define an environment as a node in a graph.

  Constructor for the AbstractEnvironmentNode object.

  Parameters

    - central_site (Site or subclass of Site) – central site as a pymatgen Site or subclass of Site (e.g. PeriodicSite, …).

    - i_central_site (int) – Index of the central site in the structure.

  ATOM = 6
  CE_NNBCES_NBCES_LIGANDS = -1
  COORDINATION_ENVIRONMENT = 0
  DEFAULT_EXTENSIONS = (6, 0)
  LIGANDS_ARRANGEMENT = 4
  NEIGHBORING_CES = 2
  NEIGHBORING_COORDINATION_ENVIRONMENTS = 2
  NEIGHBORS_LIGANDS_ARRANGEMENT = 5
  NUMBER_OF_LIGANDS_FOR_EACH_NEIGHBORING_CE = 3
  NUMBER_OF_LIGANDS_FOR_EACH_NEIGHBORING_COORDINATION_ENVIRONMENT = 3
  NUMBER_OF_NEIGHBORING_CES = 1
  NUMBER_OF_NEIGHBORING_COORDINATION_ENVIRONMENTS = 1
  property atom_symbol

    Symbol of the atom on the central site.

  property ce

    Coordination environment of this node.

  property ce_symbol

    Coordination environment of this node.

  abstract property coordination_environment

    Coordination environment of this node.

  everything_equal(other)

    Checks equality with respect to another AbstractEnvironmentNode using the index of the central site as well as the central site itself.

  property isite

    Index of the central site.

  property mp_symbol

    Coordination environment of this node.

class EnvironmentNode(central_site, i_central_site, ce_symbol)

  Bases: `pymatgen.analysis.chemenv.connectivity.environment_nodes.AbstractEnvironmentNode`

  Class used to define an environment as a node in a graph.

  Constructor for the EnvironmentNode object.

  Parameters

    - central_site (Site or subclass of Site) – central site as a pymatgen Site or subclass of Site (e.g. PeriodicSite, …).

    - i_central_site (int) – Index of the central site in the structure.

    - ce_symbol (str) – Symbol of the identified environment.

  property coordination_environment

    Coordination environment of this node.

  everything_equal(other)

    Compare with another environment node.

    Returns

      True if it is equal to the other node, False otherwise.

get_environment_node(central_site, i_central_site, ce_symbol)

  Get the EnvironmentNode class or subclass for the given site and symbol.

  Parameters

    - central_site (Site or subclass of Site) – Central site of the environment.

    - i_central_site (int) – Index of the central site in the structure.

    - ce_symbol – Symbol of the environment.

  Returns

    An EnvironmentNode object.